import 'dart:async';

import 'package:connectivity/connectivity.dart';
import 'package:f_logs/model/flog/flog.dart';
import 'package:wifi_info_flutter/wifi_info_flutter.dart';

class BeaNetworkManager{

  Connectivity _connectivity;

  BeaNetworkManager(){
    try{
      _connectivity = new Connectivity();
    }on Exception catch (e){
      print('Initialization ${this.runtimeType.toString()} error');
      FLog.error(
          className: this.runtimeType.toString(),
          methodName: "Costructor",
          text: 'Initialization ${this.runtimeType.toString()} error - $e');
      throw e;
    }
  }

  //Listen and start event when change che connectivity
  Stream<ConnectivityResult> get onConnectivityChanged {
    return _connectivity.onConnectivityChanged;
  }

  Future<bool> checkNetworkConnection() async {
    return await (_connectivity.checkConnectivity()) == ConnectivityResult.none ? false : true;
  }

  Future<ConnectivityResult> getConnectivityResult() async {
    return await (_connectivity.checkConnectivity());
  }

  Future<bool> isWifi() async {
    return await (_connectivity.checkConnectivity()) == ConnectivityResult.wifi ? true : false;
  }

  Future<bool> isMobile() async {
    return await (_connectivity.checkConnectivity()) == ConnectivityResult.mobile ? true : false;
  }

  Future<String> getWifiName() async {
    if(await isWifi()){
      return await WifiInfo().getWifiName();
    }
    return "";
  }
}